//gitlab authorization
def git_auth = "glpat-auDiwjxzh9wenpgbz8Mq"
	node {
		stage('check out code') {
		checkout([$class: 'GitSCM', branches: [[name: '*/${branch}']],
		doGenerateSubmoduleConfigurations: false, extensions: [], submoduleCfg: [],
		userRemoteConfigs: [[credentialsId: "${git_auth}", url:
		'git@192.168.1.20:infra_group/tensquare_back.git']]])
	}
}